<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Accounts Overview (Enterprise) on Enterprise</title>
    <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/</link>
    <description>Recent content in Accounts Overview (Enterprise) on Enterprise</description>
    <generator>Hugo -- gohugo.io</generator><atom:link href="https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>Get All (Reseller)</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/accountsgetall/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/accountsgetall/</guid>
      <description>Get All (Reseller)#Gets all Reseller Accounts for an Enterprise
 GET /v1.0/accounts?pageIndex=0&amp;amp;pageSize=20
 Information Circle info
This request supports paging, the default page size is 1,000. Page index is 0.Example#This request will get all the child Reseller Account tenants for this Enterprise.
Request#GET &amp;lt;https://api.au.myreports.cloud/api/v1.0/accounts?pageIndex=0&amp;amp;pageSize=20&amp;gt; HTTP/1.1 Authorisation: Bearer {TOKEN} Response#HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8 Content-Length: xx { &amp;#34;page_size&amp;#34;: 4, &amp;#34;page_index&amp;#34;: 0, &amp;#34;data&amp;#34;: [{ &amp;#34;id&amp;#34;: &amp;#34;{ACCOUNT_TENANT_ID_1}&amp;#34;, &amp;#34;name&amp;#34;: &amp;#34;Account 1&amp;#34;, &amp;#34;description&amp;#34;: &amp;#34;This is Account 1&amp;#34;, &amp;#34;enabled&amp;#34;: true, &amp;#34;parentTenantId&amp;#34;: &amp;#34;{ENTERPRISE_TENANT_ID}&amp;#34;, &amp;#34;reference&amp;#34;: &amp;#34;account reference 1&amp;#34;, &amp;#34;dateCreated&amp;#34;: &amp;#34;2019-01-01T09:00:00.</description>
    </item>
    
    <item>
      <title>Get Reseller Account</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/accountsgetaccount/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/accountsgetaccount/</guid>
      <description>Get Reseller Account#Gets an existing Account
 GET /v1.0/accounts/{ACCOUNT_TENANT_ID}
 Example#This request will get the specific Account tenant.
Request#GET &amp;lt;https://api.au.myreports.cloud/api/v1.0/accounts/{ACCOUNT_TENANT_ID}&amp;gt; HTTP/1.1 Authorisation: Bearer {TOKEN} Response#HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8 Content-Length: xx { &amp;#34;data&amp;#34;: { &amp;#34;id&amp;#34;: &amp;#34;{Account_TENANT_ID_1}&amp;#34;, &amp;#34;name&amp;#34;: &amp;#34;Account 1&amp;#34;, &amp;#34;description&amp;#34;: &amp;#34;This is Account 1&amp;#34;, &amp;#34;enabled&amp;#34;: true, &amp;#34;parentTenantId&amp;#34;: &amp;#34;{ENTERPRISE_TENANT_ID}&amp;#34;, &amp;#34;reference&amp;#34;: &amp;#34;account reference 1&amp;#34;, &amp;#34;dateCreated&amp;#34;: &amp;#34;2019-01-01T09:00:00.000&amp;#34; }, &amp;#34;status&amp;#34;: &amp;#34;success&amp;#34;, &amp;#34;timestamp&amp;#34;: &amp;#34;2019-01-01T10:00:00.</description>
    </item>
    
    <item>
      <title>Create Reseller Account</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/accountspost/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/accountspost/</guid>
      <description>Create Reseller Account#Creates a new Account tenant
 POST /v1.0/accounts
 Example#This request will create a new Account with the following details:
 Name: &amp;quot;New account&amp;quot; Description: &amp;quot;This is my new account&amp;quot; Reference: &amp;quot;XYZ00001&amp;quot; Enabled: false TimeZone : &amp;quot;America/Los_Angeles&amp;quot;, CountryCode: &amp;quot;US&amp;quot;  Request#POST &amp;lt;https://api.au.myreports.cloud/api/v1.0/accounts&amp;gt; HTTP/1.1 Content-Type: application/json accept-charges: true Authorisation: Bearer {TOKEN} Connection: keep-alive { &amp;#34;name&amp;#34;: &amp;#34;New account&amp;#34;, &amp;#34;description&amp;#34;: &amp;#34;XYZ00001 is my new account&amp;#34;, &amp;#34;reference&amp;#34; : &amp;#34;ABC00001&amp;#34;, &amp;#34;enabled&amp;#34;: false, &amp;#34;timezone&amp;#34;: &amp;#34;America/Los_Angeles&amp;#34;, &amp;#34;countryCode&amp;#34;: &amp;#34;US&amp;#34;, } Response#HTTP/1.</description>
    </item>
    
    <item>
      <title>Patch Reseller Account</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/accountspatch/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/accountspatch/</guid>
      <description>Patch Reseller Account#Updates a specific set of properties of an Account. This uses the JSON Patch format for any changes.
 PATCH /v1.0/accounts/{ACCOUNT_TENANT_ID}
 Example#This example will disable a reseller account&#39;s access to the system.&#39;
Request#PATCH &amp;lt;https://api.au.myreports.cloud/api/v1.0/accounts/{ACCOUNT_TENANT_ID}/&amp;gt; HTTP/1.1 Content-Type: application/json accept-charges: true Authorisation: Bearer {TOKEN} Connection: keep-alive [{ &amp;#34;op&amp;#34;: &amp;#34;replace&amp;#34;, &amp;#34;path&amp;#34;: &amp;#34;/enabled&amp;#34;, &amp;#34;value&amp;#34;: false } ][{ &amp;#34;op&amp;#34;: &amp;#34;replace&amp;#34;, &amp;#34;path&amp;#34;: &amp;#34;/enabled&amp;#34;, &amp;#34;value&amp;#34;: false } ] Response#HTTP/1.</description>
    </item>
    
    <item>
      <title>Delete Reseller Account</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/accountsdelete/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/accountsdelete/</guid>
      <description>Delete Reseller Account#Deactivates an existing Reseller Account tenant and flags it for deletion.
Request# DELETE /v1.0/accounts/{ACCOUNT_TENANT_ID}
 Errors#Unauthorised#When the token is not provided, invalid or expired HTTP/1.1 401 Unauthorised
Bad Request#When the provided tenant id is not in the correct format HTTP/1.1 400 Bad Request Date: Thu, 06 Feb 2020 12:45:27 GMT Content-Type: application/json; charset=utf-8 Content-Length: 149 { &amp;#34;error&amp;#34;: 400, &amp;#34;message&amp;#34;: &amp;#34;The value &amp;#39;&amp;lt;tenant id&amp;gt;&amp;#39; is not valid.</description>
    </item>
    
    <item>
      <title>Reseller Metrics</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/accountsmetrics/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-gb/api/reference/accounts/accountsmetrics/</guid>
      <description>Reseller Metrics#Returns licence usage metrics for each customer from a Reseller Account. For details on the customer metrics that can be returned, refer to the Customers section.
Request# GET /v1.0/accounts/{ACCOUNT_TENANT_ID}/metrics
 Example#This request will return the licence usage metrics for the specified reseller.
Request#GET &amp;lt;https://api.au.myreports.cloud/api/v1.0/accounts/{ACCOUNT_TENANT_ID}/metrics&amp;gt; HTTP/1.1 Authorisation: Bearer {TOKEN} Response#HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8 Content-Length: xx { &amp;#34;data&amp;#34;: { &amp;#34;accountTenantId&amp;#34;: &amp;#34;00000000-0000-0000-0000-000000000000&amp;#34;, &amp;#34;accountName&amp;#34; : &amp;#34;Example Account 1&amp;#34;, &amp;#34;enabled&amp;#34; : true, &amp;#34;dateCreated&amp;#34; : &amp;#34;2021-03-02T15:15:46.</description>
    </item>
    
  </channel>
</rss>
